#!/bin/sh

PREPROCESSOR=../bin/release/preprocessor.exe
#PREPROCESSOR=../bin/debug/preprocessor.exe

if [ $# -ne 3 ]
then
    echo "Usage:"
	echo "preprocess_visibility scene_file.x3d viewcells_file.xml output_file.xml"
    exit
fi

export PATH=$PATH:../bin

NUM_SAMPLE_RAYS=20000000

$PREPROCESSOR -total_samples=$NUM_SAMPLE_RAYS \
-scene_filename=$1 -view_cells_filename=$2 -preprocessor_visibility_file=$3 preprocess_visibility.env 
